# PCASMSetLocalSubdomains

Sets the local subdomains (for this processor only) for the additive Schwarz preconditioner.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCASMSetLocalSubdomains(PC pc,PetscInt n,IS is[])

Collective on PC

### Input Parameters

| pc | - the preconditioner context
| n | - the number of subdomains for this processor (default value = 1)
| is | - the index sets that define the subdomains for this processor (or PETSC_NULL for PETSc to determine subdomains)

### Notes

The IS numbering is in the parallel, global numbering of the vector.

By default the ASM preconditioner uses 1 block per processor.

These index sets cannot be destroyed until after completion of the linear solves for which the ASM preconditioner is being used.

Use PCASMSetTotalSubdomains() to set the subdomains for all processors.

### Keywords

PC, ASM, set, local, subdomains, additive Schwarz

### See Also

PCASMSetTotalSubdomains(), PCASMSetOverlap(), PCASMGetSubKSP(),
PCASMCreateSubdomains2D(), PCASMGetLocalSubdomains()

Level:advanced
Location: src/ksp/pc/impls/asm/asm.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex8.c.html